summaryrefslogtreecommitdiff
path: root/.config/polybar/launch.sh
diff options
context:
space:
mode:
authorlistout <listout@protonmail.com>2022-01-17 23:18:23 +0530
committerlistout <listout@protonmail.com>2022-01-17 23:18:23 +0530
commit79aff35538076ee9486418749e880b11bccca255 (patch)
tree22a05d8e88a9f7b87be4c51ff547ed484cded508 /.config/polybar/launch.sh
parent3c8541df936dbdd350dd684a8dd37638b60e3b6e (diff)
use environment variable for temperature module
Diffstat (limited to '.config/polybar/launch.sh')
-rwxr-xr-x.config/polybar/launch.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/.config/polybar/launch.sh b/.config/polybar/launch.sh
index c4e683a..791b22d 100755
--- a/.config/polybar/launch.sh
+++ b/.config/polybar/launch.sh
@@ -1,7 +1,12 @@
#!/usr/bin/env bash
+for i in /sys/class/hwmon/hwmon*/temp*_input; do
+ if [ "$(<$(dirname $i)/name): $(cat ${i%_*}_label 2>/dev/null || echo $(basename ${i%_*}))" = "k10temp: Tctl" ]; then
+ export HWMON_PATH="$i"
+ fi
+done
killall -q polybar
echo "---" | tee -a /tmp/polybar1.log
polybar mybar 2>&1 | tee -a /tmp/polybar1.log & disown
- echo "Bar launched"
+echo "Bar launched"